com.fasterxml.jackson.dataformat.smile

## Class SmileParserBootstrapper

- java.lang.Object
- - com.fasterxml.jackson.dataformat.smile.SmileParserBootstrapper

-     public class SmileParserBootstrapper
      extends Object

  Simple bootstrapper version used with Smile format parser.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_bufferRecyclable` Flag that indicates whether buffer above is to be recycled after being used or not.
    `protected com.fasterxml.jackson.core.io.IOContext` | `_context`
    `protected InputStream` | `_in`
    `protected byte[]` | `_inputBuffer`
    `protected int` | `_inputEnd`
    `protected int` | `_inputProcessed` Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.
    `protected int` | `_inputPtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmileParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt, byte[] inputBuffer, int inputStart, int inputLen)`
    `SmileParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt, InputStream in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SmileParser` | `constructParser(int factoryFeatures, int generalParserFeatures, int smileFeatures, com.fasterxml.jackson.core.ObjectCodec codec, com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer rootByteSymbols)`
    `static com.fasterxml.jackson.core.format.MatchStrength` | `hasSmileFormat(com.fasterxml.jackson.core.format.InputAccessor acc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _context

          protected final com.fasterxml.jackson.core.io.IOContext _context

    - #### _in

          protected final InputStream _in

    - #### _inputBuffer

          protected final byte[] _inputBuffer

    - #### _inputPtr

          protected int _inputPtr

    - #### _inputEnd

          protected int _inputEnd

    - #### _bufferRecyclable

          protected final boolean _bufferRecyclable

      Flag that indicates whether buffer above is to be recycled after being used or not.

    - #### _inputProcessed

          protected int _inputProcessed

      Current number of input units (bytes or chars) that were processed in previous blocks, before contents of current input buffer.

      Note: includes possible BOMs, if those were part of the input.

  - ### Constructor Detail

    - #### SmileParserBootstrapper

          public SmileParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt,
                                         InputStream in)

    - #### SmileParserBootstrapper

          public SmileParserBootstrapper(com.fasterxml.jackson.core.io.IOContext ctxt,
                                         byte[] inputBuffer,
                                         int inputStart,
                                         int inputLen)

  - ### Method Detail

    - #### constructParser

          public SmileParser constructParser(int factoryFeatures,
                                             int generalParserFeatures,
                                             int smileFeatures,
                                             com.fasterxml.jackson.core.ObjectCodec codec,
                                             com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer rootByteSymbols)
                                      throws IOException,
                                             com.fasterxml.jackson.core.JsonParseException

      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonParseException`

    - #### hasSmileFormat

          public static com.fasterxml.jackson.core.format.MatchStrength hasSmileFormat(com.fasterxml.jackson.core.format.InputAccessor acc)
                                                                                throws IOException

      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.